Subject: Solving the Worlds Problem

From: Mike Gallaher <[email-masked]>
Date: Thu, 30 Apr 1992 13:16:19 -0700

> I just realized a very good reason why there are not more moos around.
> Because Lambda is killing moo.

Oooh, controversy!  Nothing better to get a discussion going!

The message that started this thread began by offering a solution to
some problem, but no one has yet agreed on what the problem is.
So here's my assessment (which is of course correct :-) ):

Truly, a large problem with LambdaMOO is that it's the only one.
I think the real problem is that it's too big for one moo.

There are too many people trying to derive too many different things
from one moo to ever hope to have all of them agree on how it should
look, or why it exists.  Is it a role-playing game?  An experimentor's
workshop?  A place to hang out?  Pick up dates?

No moo can be all those things, all at once.

You can divide the moo up into different areas.  There are already
areas that are primarily role-playing areas, and so on.  But it's
still really all one world, with the same player classes and capabilities.
If you want to restrict a player's actions to enforce a theme in one part,
you have to restrict it everywhere.

If only each part had its own set of classes, each part could have its
own theme, and its own maintainer(s) to enforce it.

So, I see the solution to all the world's (parse that both ways)
problems as:

Distributed moo!	Certainly not a new idea, just more urgently needed.

I suspect that this is already in the works, somewhere.
I think that, done properly, a distributed moo will resolve many of
the theme disagreements.

One way would be to have each "theme area" (world) runs in its own moo
server.  Each moo is linked into the larger world through portals to
other moos, through which you can step into the moo on the other side.

Lambda would become a well-known "branching point" to other worlds (moos).
It could also serve as an introductory world, a haven for hackers, and
a repository for neat objects that can be exported to other moos.

If you want a different theme, step into the appropriate
moo.  In moos that emphasize a "reality" theme, you might have to go
to the train station to do this (or the transfer-booth station).  In a
more informal one, you could just teleport out, or step through a
door.

If someone builds something out-of-place in one moo, the maintainer
could suggest that it be moved to another moo (or move it for them!).
A portal might be left to go to it, if such a portal is appropriate in that world.
(If done transparently enough, the builder might not even be aware that
their creation had been moved, if they weren't too bright.)

I know that many, if not all, of these things have been at least attempted
before, and may have been done since I last looked.

The problem was that each moo was too isolated, with no easy communication
between them.  There was no easy way to move objects from one moo to
another.  Is there such a way now?

mg